PG_AUTOCTL GET NODE CANDIDATE-PRIORITY(1)

NAME
pg_autoctl get node candidate-priority - pg_autoctl get node candidate-priority

pg_autoctl get candidate-priority - get candidate-priority property from the monitor

SYNOPSIS

This command prints pg_autoctl candidate priority for a given node:

            usage: pg_autoctl get node candidate-priority  [ --pgdata ] [ --json ] [ --formation ] [ --name ]

            --pgdata      path to data directory
            --formation   pg_auto_failover formation
            --name        pg_auto_failover node name
            --json        output data in the JSON format

DESCRIPTION

See also pg_autoctl show settings <#pg-autoctl-show-settings> for the full list of replication settings.

OPTIONS

    --pgdata
        Location of the Postgres node being managed locally. Defaults to the environment variable PGDATA. Use --monitor to connect to a monitor from anywhere, rather than the monitor URI used by a local Postgres node managed with pg_autoctl.

    --json
        Output JSON formatted data.

    --formation
        Show replication settings for given formation. Defaults to default.

    --name
        Show replication settings for given node, selected by name.

EXAMPLES

            $ pg_autoctl get node candidate-priority --name node1
            50

            $ pg_autoctl get node candidate-priority --name node1 --json
            {
                "name": "node1",
                "candidate-priority": 50
            }

Author
Microsoft

Copyright
Copyright (c) Microsoft Corporation. All rights reserved.